# MyPaint
# 2016-2017 foo.li systeme + software

$packageName    = 'mypaint'
$fileType       = 'exe'
$silentArgs     = '/S'
$mainver        = '1.2.1'
$release        = '20170129a'
$url            = 'https://github.com/mypaint/mypaint/releases/download/v' + $mainver + '/mypaint-w32-' + $mainver + '-' + $release +'-installer.exe'
$url64          = 'https://github.com/mypaint/mypaint/releases/download/v' + $mainver + '/mypaint-w64-' + $mainver + '-' + $release +'-installer.exe'
$checksum       = 'DED51CCD98FE1B87FA1FA13BD370106FFCB50A30'
$checksumType   = 'sha1'
$checksum64     = 'AF2982FB66BEF3ADBECCAAE3CE35D93A0B874E64'
$checksumType64 = $checksumType

try {
    Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
                -checksum $checksum -checksumType $checksumType `
                -checksum64 $checksum64 -checksumType64 $checksumType64
    Write-Verbose 'housekeeping...'
    Remove-Item -Path "$env:PUBLIC\Desktop\MyPaint*.lnk"
    #x86
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w32\Follow MyPaint on Twitter.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w32\Get Updates for MyPaint.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w32\MyPaint User Manual.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w32\MyPaint User Manual.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w32\Development" -Recurse -Force -ea SilentlyContinue
    #x64
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w64\Follow MyPaint on Twitter.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w64\Get Updates for MyPaint.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w64\MyPaint User Manual.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w64\MyPaint User Manual.url" -ea SilentlyContinue
    Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\MyPaint w64\Development" -Recurse -Force -ea SilentlyContinue
} catch {
    throw $_.Exception
}